package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChangedWorldEvent;

import java.util.Objects;

public class PlayerChangeWorldListener implements Listener {
    @EventHandler
    static void onPlayerChangeWorld(PlayerChangedWorldEvent event) {
        if(CommonEventHandlers.isInPixelWorld(event.getFrom())) {
            Objects.requireNonNull(PixelBlock.getPixelBlockFromWorld(event.getFrom())).update();
        }
    }
}
